<div class="top_nav">
    <div class="nav_menu">
        <nav>
            <div class="nav toggle">
                <a id="menu_toggle">
                    <i class="fa fa-bars"></i>
                </a>
            </div>
            <ul class="nav navbar-nav navbar-right">
                <li class="">
                    <a class="user-profile dropdown-toggle" aria-expanded="false" data-toggle="dropdown"
                       href="javascript:">
                        {% load static %}
                        {% get_media_prefix as MEDIA_ROOT %}
                        {% if request.session.gender == "M" %}
                            <img src={% if request.session.profile_pic %}
                                {{ MEDIA_ROOT }}{{ request.session.profile_pic }}{% else %}
                                "{{ MEDIA_ROOT }}images/male.png"
                            {% endif %} alt="No image" height="250px" width="250px">
                        {% endif %}
                        {% if request.session.gender == "F" %}
                            <img src={% if request.session.profile_pic %}
                                {{ MEDIA_ROOT }}{{ request.session.profile_pic }}{% else %}
                                "{{ MEDIA_ROOT }}images/female.png"
                            {% endif %} alt="No image" height="250px" width="250px">
                        {% endif %}
                        {{ request.session.user_name }}
                        <span class="fa fa-angle-down"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-usermenu pull-right">
                        <li>
                            <a href={% url 'changepass' %}>
                                <i class="fa fa-cog pull-right"></i>
                                Change Password
                            </a>
                        </li>
                        <li>
                            <a href={% url 'image_cropper' %}>
                                <i class="fa fa-photo pull-right"></i>
                                Change Profile Pic
                            </a>
                        </li>
                        <li>
                            {% if request.session.user_type == "student" %}
                                <a href="{% url 'userprofile' roll=request.session.roll_no %}">
                                    <i class="fa fa-eye pull-right"></i>
                                    View Profile
                                </a>
                            {% endif %}
                            {% if request.session.user_type != "student" %}
                                <a href={% url 'viewprofile' %}>
                                    <i class="fa fa-eye pull-right"></i>
                                    View Profile
                                </a>
                            {% endif %}
                        </li>
                        <li>
                            <a href={% url 'update_user' %}>
                                <i class="fa fa-edit pull-right"></i>
                                Edit Profile
                            </a>
                        </li>
                        <li>
                            <a href={% url 'logout' %}>
                                <i class="fa fa-sign-out pull-right"></i>
                                Log Out
                            </a>
                        </li>
                    </ul>
                </li>
                <script type="text/javascript">
                    function my_special_notification_callback(data) {
                        document.getElementById('change').style.cssText = 'display:none';
                        document.getElementById('addnotifications').innerHTML = '';
                        //alert(data.unread_list);
                        for (var i = 0; i < data.unread_list.length; i++) {
                            document.getElementById('change').style.cssText = 'display:block';
                            msg = data.unread_list[i].description;
                            document.getElementById('addnotifications').innerHTML += '' +
                                '<li><a href="/' + msg + '">' +
                                data.unread_list[i].verb +
                                '</a></li>';
                            //console.log(msg);
                        }
                    }
                </script>
                {% load static %}
                {% load notifications_tags %}
                <script src="{% static 'notifications/notify.js' %}" type="text/javascript"></script>
                {% register_notify_callbacks callbacks='fill_notification_list,fill_notification_badge,my_special_notification_callback' refresh_period=30 %}
                <li id="notibar" role="presentation" class="dropdown">
                    <a href="javascript:" class="dropdown-toggle info-number" data-toggle="dropdown"
                       aria-expanded="false">
                        <i class="fa fa-bell-o"></i>
                        {% live_notify_badge as unread_count %}
                        <span id="change" class="badge bg-green">{{ unread_count }}</span>
                    </a>
                    <script type="text/javascript">
                    </script>
                    <ul id="menu1" class="dropdown-menu list-unstyled msg_list" role="menu">
                        <div id="addnotifications">
                        </div>
                        <li>
                            <div class="text-center">
                                <a href={% url 'notifications' %}>
                                    <b><u>See all my alerts</u></b>
                                </a>
                            </div>
                        </li>
                    </ul>
                </li>
            </ul>
        </nav>
    </div>
</div>

<script type="text/javascript">
    function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
    $('document').ready(function () {
        $('[id="notibar"]').click(function () {
            $.ajax({
                url: '{% url 'new_notifications' %}',
                type: 'POST',
                data: {
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                    success: function (data)        //we got the response
                    {
                        document.getElementById('change').style.cssText = 'display:none';
                    },
                    error: function (exception) {
                        //alert('Exeption:' + exception);
                    }
                }
            });

        });
    });
</script>